Bug 455608 - After 5.25 update kscreenlocker crashes if using howdy
Summary: After 5.25 update kscreenlocker crashes if using howdy
Status: RESOLVED FIXED
Alias: None
Product: kscreenlocker
Classification: Unclassified
Component: kcheckpass (show other bugs)
Version: 5.25.0
Platform: Archlinux Packages Linux
: VHI crash
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-06-19 12:33 UTC by Vlad
Modified: 2022-06-21 16:33 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25.2


Attachments
coredump (52.91 KB, text/x-log)
2022-06-21 11:38 UTC, Vlad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vlad 2022-06-19 12:33:15 UTC
SUMMARY
I'm using Howdy (https://github.com/boltgolt/howdy) pam module for authentication in kscreenlocker but after 5.25 update my screenlock become broken. Howdy still works with sudo as it used to. Before update to 5.25 kscreenlocker worked as well. If I disable howdy pam module, password unlock works as intended.

STEPS TO REPRODUCE
1. Enable howdy module in /etc/pam.d/kde
2. Lock screen
3. Press any button to start process of unlocking
4. It crashes immediately

OBSERVED RESULT
Crash, error message, not beeing able to unlock screen

EXPECTED RESULT
Face unlock

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 5.25.0
KDE Frameworks Version: 5.95.0
Qt Version: 5.15.5

ADDITIONAL INFORMATION
coredump:
coredumpctl gdb 6898
           PID: 6898 (kscreenlocker_g)
           UID: 1000 (vlad)
           GID: 1000 (vlad)
        Signal: 11 (SEGV)
     Timestamp: Sun 2022-06-19 14:41:55 MSK (8min ago)
  Command Line: /usr/lib/kscreenlocker_greet --testing
    Executable: /usr/lib/kscreenlocker_greet
 Control Group: /user.slice/user-1000.slice/user@1000.service/app.slice/app-kitty-0e186be1ae64434ea6e56d3218023cb7.scope
          Unit: user@1000.service
     User Unit: app-kitty-0e186be1ae64434ea6e56d3218023cb7.scope
         Slice: user-1000.slice
     Owner UID: 1000 (vlad)
       Boot ID: 47c787d8e11142c4a5ffe1e18e090fa4
    Machine ID: c31b7b650acf4fb8929530e4a0a59fe0
      Hostname: ideapad
       Storage: /var/lib/systemd/coredump/core.kscreenlocker_g.1000.47c787d8e11142c4a5ffe1e18e090fa4.6898.1655638915000000.zst (present)
     Disk Size: 25.6M
       Message: Process 6898 (kscreenlocker_g) of user 1000 dumped core.
                
                Module linux-vdso.so.1 with build-id 20e297295de7b5f8538cab53afe224f81700405b
                Module syslog.so with build-id cfe77ca75f85e40c40c546903addf0f235c07228
                Module cStringIO.so with build-id 94a965a2ba960f6d54684cb9f55b5a387badbdd3
                Module binascii.so with build-id 7cfac52e72856cbb0ed5d60955958e0629a7de02
                Module _struct.so with build-id fc7f2a9bcc32e333588a0cc54e3517d0ada40b11
                Module fcntl.so with build-id eadda2f8175782bc800101176fbf23890f6b1a72
                Module _heapq.so with build-id 2da9646fe2d3ed1387c810dcd18fffd3f76f1910
                Module itertools.so with build-id 4b73df16c4a18884a10709a14e6b776a41ed96b2
                Module operator.so with build-id a7c4a99882cdf07e78d945649bd119b69b6f79c4
                Module _collections.so with build-id 2caab5cd2c327ed4360ec9be4858edf58565d364
                Module select.so with build-id a085379c868801e1b847ead079f1f372cbc0dc7c
                Module time.so with build-id 9d620705267766650666c9894441b0d5fc997fc4
                Module _locale.so with build-id 5cdcf2798fa44d91c3749a650205643f4f388073
                Module liblayer-shell.so with build-id 6f038464b3b0fc78382fe6c09e09ba97b9f59fd3
                Module wallpaper_images.so with build-id 97176099d522833fd1e865f321ab4d1d6fdb5932
                Module libplasma_wallpaper_imageplugin.so with build-id 80b678f8ea8b4936380bc2e17857268f9e75e75e
                Module plasma_engine_mpris2.so with build-id 17babf18f3d1f0966349eb84ecd3ebcc7f7f1236
                Module libplasmacomponentsplugin.so with build-id 123ab85cdea897ec0cadde4d29fce209cf0bd77d
                Module libplasmaextracomponentsplugin.so with build-id e207fb90744e0a6d1788dfc65b18a1e50d55a6e0
                Module libKF5IdleTime.so.5 with build-id 47856dbaa778d2fd426ff37b959c17ece2515fb0
                Module plasma_engine_powermanagement.so with build-id 8fc260d72abde40b838352b54c70e1cee944c713
                Module libwebp.so.7 with build-id 0add7a572705244ed810b7e722cce7da0dcfb62c
                Module libwebpdemux.so.2 with build-id 7bc15ac239db643015e169a2c6cc822156eb999a
                Module libwebpmux.so.3 with build-id 4232d5263a45719ba12f58ed7d8cae3a0fc887de
                Module libqwebp.so with build-id 0bd9d526bf1f1e46347f7677ea2c39e62aa014dc
                Module libqwbmp.so with build-id 89e61f320c633ebf60f1043be3718762617241ed
                Module libtiff.so.5 with build-id 31895d2bd133f34f0cdc2d4ac855ed838ec927b6
                Module libqtiff.so with build-id 702935f7fb98d3032a651e6437b4e39d11879e54
                Module libqtga.so with build-id 83f8791cf3277fcb30be86795c9b68ab72aa0b4f
                Module libqsvg.so with build-id abd47c541fd4302411a5d299fa5194e13e231928
                Module libQt5Pdf.so.5 with build-id d5f89f2a0606639128d32d9d194443e7649a9879
                Module libqpdf.so with build-id 3f9760fc8f5a9001f7ed48587e4140077230b634
                Module liblcms2.so.2 with build-id c01e5649a38dbf37768d02dc751b52de0dcbd141
                Module libmng.so.2 with build-id 2de13b8bba73f358ab2e323aa2209c2e2fc886e7
                Module libqmng.so with build-id 3d398e752e9ababf11c766409b41adefc0d6b719
                Module libqjpeg.so with build-id 2691776284d2ccdc6636125856d1a738d90c56fe
                Module libjpeg.so.8 with build-id 8e6d3f3e8f438912b561c43b6e7f66e6e5e097d0
                Module libjasper.so.6 with build-id 180a8afe8b317a0c36114a7692a41a7df58cc18a
                Module libqjp2.so with build-id ab24564e6a73eba2788b586e994a5e37bbf5a9eb
                Module libqico.so with build-id f5ea507dd41e913a0f5296d268c4288bf4424b60
                Module libqicns.so with build-id 71b663f3e74b731fcc1762f16084b4af173812b2
                Module libqgif.so with build-id aaa3af8b87cc92b30610ed80d4a92ae28dcbe2c0
                Module plasma_engine_time.so with build-id ccef45d4ea63b4b96f7c1e59f1199cb5be66ade5
                Module plasma_engine_keystate.so with build-id 68bae69238b15d8c1aefde7dfbf0dc12edb5c2ba
                Module libkeyboardlayoutplugin.so with build-id 27c70c9162573c2c5d9c6c1d9afdf6a450defe83
                Module libqtgraphicaleffectsprivate.so with build-id 964739a75eb5315af43b35b4c97c87c0a0f2e8a4
                Module libkconfigplugin.so with build-id 9b52c3aa719fd52fe51205f0bb8f0959af6411ec
                Module libqtquickcontrols2plugin.so with build-id cba5d77eb32b38d9c162956028227a8fa9bd1bbf
                Module libKF5Kirigami2.so.5 with build-id 87a89e5f8148799e2858a463c91c3f9879180567
                Module libKirigamiPlugin.so with build-id 2910d29cb2f7f9acc5809833de80a97ecc60b839
                Module libqtquicktemplates2plugin.so with build-id e5ff4e466f269952993bf5259cbb581573e62b11
                Module libwindowplugin.so with build-id 440a96eb46b2bf4eb9109c74efa9303939b2d8f8
                Module libqtgraphicaleffectsplugin.so with build-id 5f7cce93f6ecf8006b7dfc05cff1000bfaabf7da
                Module libqquicklayoutsplugin.so with build-id 87ef4435c1cc0ef3843eb4eceba8cfc76c945d09
                Module libqmlplugin.so with build-id 84e06a07021d865089e4622ee7a0d8971d707813
                Module libkworkspace5.so.5 with build-id 535b54b299bf4aad137dbc3ab73526b82819de16
                Module libsessionsprivateplugin.so with build-id b8c68385bf7da802ab4a44fa3ae1c4706625357a
                Module KF5WindowSystemKWaylandPlugin.so with build-id cefa84cfa6b78e64f158908baa5853475fbd0c76
                Module libQt5Sql.so.5 with build-id 35f70841ac421289f68ac63669d7137acad72838
                Module libxcb-shape.so.0 with build-id f9aab9846b5e3523bd534f8a845f36a37d42b3fa
                Module libOpenGL.so.0 with build-id b674d36fbce1bed29b54247cf4e25e0f3c64ff13
                Module libxcb-render.so.0 with build-id b1ca498d665807ab0ccdafbe8070853efd058173
                Module libKF5Plasma.so.5 with build-id d6cbb1396aba945870e6986a8796276920ef53af
                Module libxcb-composite.so.0 with build-id e8b69e2806d928f66445390cc50ab33a0b98bef0
                Module libxcb-damage.so.0 with build-id d18fa3897f9041bfe25380abd9834332896cda81
                Module libKF5PlasmaQuick.so.5 with build-id fbb32b646f734120e6b2efe8304f34408e272d21
                Module libcorebindingsplugin.so with build-id 63f4b335beb9186aa2e61c327a7317d87c669dc6
                Module libqtquickcontrolsplugin.so with build-id bb6a45612a4a6fd8ab0ef3a334479fcdf9853a3a
                Module libQt5QmlWorkerScript.so.5 with build-id 9cdaca95698290d3dd71ea2bff183e421e1612f8
                Module libqtquick2plugin.so with build-id 81827b6d5f3d3b1141f3b01ffcf5ffe437a2804e
                Module libxml2.so.2 with build-id 8cdf00fa954d9a27f2f184c4d354cb14677446ac
                Module libncursesw.so.6 with build-id b9917757481e6fa6097e2a1f31f5bb5eaf138c4e
                Module libedit.so.0 with build-id 4b0babfcad161c2ad0af6e59e2493258db23a331
                Module libvulkan.so.1 with build-id 2ce03c12244f56834b41c55da5d48a4adfa1069a
                Module libdrm_nouveau.so.2 with build-id b2c524cff6f5c2985e856447f3b043e4fcf0c621
                Module libdrm_amdgpu.so.1 with build-id c640056cb2a0368cf57821d3f0536154248ae845
                Module libelf.so.1 with build-id c09e357a1a3b061bf219bcfb243ca31b175e77fa
                Module libdrm_radeon.so.1 with build-id 8ebce86cd4f588778560618c8861b6d760fcb39a
                Module libsensors.so.5 with build-id dc8b2c1c0d8525411aca188ea3cc3fb86d381d30
                Module libLLVM-13.so with build-id 90a760361bef9d2de117d7e696dad26fc4cb24f4
                Module radeonsi_dri.so with build-id e2e27e10e2097902c17c86abfecafd84982cd15d
                Module libxshmfence.so.1 with build-id d9b3ce4edb0b6a0818bcc57dda020d2da5e3c895
                Module libxcb-sync.so.1 with build-id 13025f6de23a271636ad321c77eda98801e62e8e
                Module libxcb-present.so.0 with build-id 8ed389d9cd6ad7110fbb00c93b32e0efaa71a6b1
                Module libxcb-dri3.so.0 with build-id 088c750254cc139e7d62b8a3fc7795a138447ccf
                Module libwayland-server.so.0 with build-id 5526cec43774a83c7ab8c7ff820eea8b28880d51
                Module libdrm.so.2 with build-id 658072e933ab3de11aea1408bdf4e72dd6e80255
                Module libxcb-xfixes.so.0 with build-id e231a68d00ee4cfa12a2c31e755a9e2c1e7be450
                Module libxcb-dri2.so.0 with build-id 7bde0abc84135ae6258a8d1d130864071c2cc327
                Module libX11-xcb.so.1 with build-id f92352eae0a30aea89d11beb22367fa985288925
                Module libglapi.so.0 with build-id a70a43d9f7f14dc475bd3eb8894e06a7bb5b2396
                Module libgbm.so.1 with build-id 466bd36fbe5eb47e2f4aa7330aaa9c722babc0e3
                Module libEGL_mesa.so.0 with build-id d85bd33507bd8fe3ee6794d4b5d4cdf9952248e1
                Module libwayland-egl.so.1 with build-id ac45e227422559ff92c4d04851fffb8452874713
                Module libEGL.so.1 with build-id 30b30de54f2f848a7b8bed469349c9a7ab1b7c22
                Module libqt-plugin-wayland-egl.so with build-id 197f35b3895626f39b3a818fb54065aec65ace59
                Module pam_warn.so with build-id 5b73faf8abe96fd6b460ef6c703cb127fe8e312b
                Module pam_deny.so with build-id 023269774049f20683b13e4304d7e254a1c7a0b2
                Module libpam_misc.so.0 with build-id 74aaf2951cb6eb6cf89a69339285a6015876bee4
                Module pam_systemd.so with build-id e84739d60957e9f6c28890d5c9bc0f44344d9357
                Module pam_mail.so with build-id 2e76a4a0eb21f3217a766329838b850a7085b16b
                Module pam_motd.so with build-id f3ed720bd88c652152737c440039dd0b9589174c
                Module pam_limits.so with build-id 904f399db1e3e4b168ab6fcd9152c52a52d41d3f
                Module pam_keyinit.so with build-id 6bd2a336d004dc8458f1c4cdf8fcd941d1c4925f
                Module pam_loginuid.so with build-id 45bcbb167aef0cae946704ce218c4a8f442393ad
                Module pam_time.so with build-id 27045c468605f64203a35fa2d83d7c423220c298
                Module pam_access.so with build-id 9e188fc5620336bf5919f51c25952325ff4de10e
                Module pam_env.so with build-id e28d502d7e4820f936437d20d459e51036d1a243
                Module pam_permit.so with build-id 59f4a785cc0a8400f0438321eac923ff96c34bdd
                Module libtirpc.so.3 with build-id 5bef2adfdee3df283f593b3e2d37b6dac405256a
                Module libcrypt.so.2 with build-id a0a45f81771945f0559d04e93726d245159930da
                Module pam_unix.so with build-id 608e03b3693ba42760a2b836763d41d1c079a2bf
                Module pam_systemd_home.so with build-id 4118f5f94eef1466c8289178d9ed86ea12cf6833
                Module pam_faillock.so with build-id 7e42bd70303fbc079e452d777b6907bb5614df5d
                Module plasma_lookandfeel.so with build-id bc87068d63451d37d3dcb3468c15e83edc33fd07
                Module pam_nologin.so with build-id 9f749b8e7bd55bfb75e294bc32aaa56ac353d6c0
                Module pam_shells.so with build-id 827b2de32a5ec108462699009e6e441b42792b26
                Module libutil.so.1 with build-id 88bfe1d923ba59f4c6c8defb3c0ed53eccfdd840
                Module libpython2.7.so.1.0 with build-id 84af2aa15ff78d9bd33b0eb5c1b1ccb809b9e664
                Module pam_python.so with build-id 9049d4f11a01abeb89a3d146f0e8fd3e003c1b11
                Module plasma_wallpaper.so with build-id d7d43050ac233520ee1a70782aed95bb52afc3ec
                Module libogg.so.0 with build-id ca0cae30a809f10db1f16e54a23b4e5ff7b2c54c
                Module libvorbis.so.0 with build-id f4e086347f6c1a66eb73cfe13974a29bd39aabca
                Module libXext.so.6 with build-id 17beadf1cb40d41ab36629db3b4eed74110678a7
                Module libltdl.so.7 with build-id c4ee3f1ba09fe34163d71ff336756fbecb6f409f
                Module libtdb.so.1 with build-id f2bdb5ac97b6addf2026d93b08c8d15defcd9bb8
                Module libvorbisfile.so.3 with build-id 45d2551167a616d448beb033ba49394831992887
                Module libQt5QuickTemplates2.so.5 with build-id fbb0c5634acacbf0266052e642f417ee166d5348
                Module libXfixes.so.3 with build-id 0a05c7e8714522bfbdd7c0027c3e2a94965664b0
                Module libXrender.so.1 with build-id 42e386d2acf3cde61081959d9671ca74acfb3edc
                Module libdbusmenu-qt5.so.2 with build-id 346cd54093968d3de9e61cc329e9512d248dce18
                Module libXtst.so.6 with build-id 35c7f3daf454834acb724e6bd1664b0a2e9a6494
                Module libQt5TextToSpeech.so.5 with build-id 31f411307c29623b8c9c8a7c2875de5045366340
                Module libcanberra.so.0 with build-id 8ddef69c9b84a86062c88a59510639cd908fc6d3
                Module libKF5Bookmarks.so.5 with build-id 4e89faa3d7971b7558f060064e33e0bceab93fc6
                Module libQt5QuickControls2.so.5 with build-id 59f3ed84bb93127ee1d0a51902e04dc71eb3585b
                Module libXcursor.so.1 with build-id f0525ae3715ac95f96a8cdb44795b03f831334b0
                Module libKF5Notifications.so.5 with build-id 9b648d762beaf9718126dac53eb2f7308ed69516
                Module libKF5KIOFileWidgets.so.5 with build-id 3aa9048c9e914b2918de570ca7b07e243cdfcc1c
                Module KDEPlasmaPlatformTheme.so with build-id 44637a630f147cb1798ca531925b9d314fe64c7c
                Module libFcitx5Qt5DBusAddons.so.1 with build-id 6a4f4253bc1bf96e37112898d479bb63b5d86c2e
                Module libfcitx5platforminputcontextplugin.so with build-id fd74a455d90296dfa56a91c7968789b3bace82d6
                Module libqwayland-generic.so with build-id fcdf0aff87e87ea2b775b379dee5c7c8def4796c
                Module libgmp.so.10 with build-id 26cec2ebe94cc5c4cb99e6988717347222b324fd
                Module libhogweed.so.6 with build-id 9577a5fe1921756af97b2af318ff1c9a03f10a84
                Module libnettle.so.8 with build-id a2cc6a257b0729585e870b345b83497c478ee28b
                Module libunistring.so.2 with build-id 617dbf3d3d6f85d6556a7a036e23845e95490158
                Module libidn2.so.0 with build-id 1ce2b50ad9f9821c2c629b521cf5a3c99593d332
                Module libbrotlienc.so.1 with build-id 74adbc62e4fbb5da9d37b5aa458471f4130862ff
                Module libp11-kit.so.0 with build-id cc372ea3c28c4d3dfc633b4d2e933c8584d2af16
                Module libusbmuxd-2.0.so.6 with build-id fd9f05e7f5b0da4e15972f75b61fd9b4b9f06dbe
                Module libtasn1.so.6 with build-id ee3429ca5e94718aea4fe5249fc859e0cd88e4e9
                Module libgnutls.so.30 with build-id a4f42d33fc809cb6f596998001cedc0bce06c751
                Module libblkid.so.1 with build-id 140694a62d8d4d07c6c320a501f948dd1b389d73
                Module libbrotlicommon.so.1 with build-id acfd597a977c8087bb6184383daae2e828a9ce42
                Module libpthread.so.0 with build-id 95ae4f30a6f12ccbff645d30f8e1a3ee23ec7d36
                Module libgpg-error.so.0 with build-id 4738b8a9478177c202cccd64e0eb65d3dea2bfae
                Module libplist-2.0.so.3 with build-id f16bdd42b3d750ba0a150d286248f5dc50cc76cb
                Module libimobiledevice-1.0.so.6 with build-id bc258677480403cc2df4f0efcfc97e06af826ddc
                Module libudev.so.1 with build-id 541e6841430a5ee36134325ec0ce669c2c0b9053
                Module libKF5DBusAddons.so.5 with build-id 141d88b1c7482b6628f3a3491be19a509609db57
                Module libmount.so.1 with build-id 4436aeea0cd8c01b5a77969e0531184f8b3513ce
                Module libacl.so.1 with build-id 27869ed0219ade5d2ffd50eaee11f967187faa8b
                Module libbrotlidec.so.1 with build-id 66c54e9301f7e102ecc1d88547e5f0e8a056fe22
                Module libexpat.so.1 with build-id 113bb5a3e9ad856801bfcfc029102c9bdc13d67e
                Module libpcre.so.1 with build-id 845483dd0acba86de9f0313102bebbaf3ce52767
                Module libicudata.so.71 with build-id 4fef196388e678deb881978139e125e20ee2d94d
                Module liblz4.so.1 with build-id e63600ab23b2f6997f42fac2fa56e1f02ce159a1
                Module libgcrypt.so.20 with build-id 8bf3cb884124273640de797a3e77d86c98434ea4
                Module libcap.so.2 with build-id 21b00ab76bb16fde56fd741f07233c78069f0579
                Module libgraphite2.so.3 with build-id ce58945ebb55b86d3a4e717b6eae29efc4720d8e
                Module libGLX.so.0 with build-id 02bd4ac6acc4da9288c543ea1a0cdaa70c5e151a
                Module libGLdispatch.so.0 with build-id de981c020bd9dbdc159b11f4a2a541310cc3b8d5
                Module libresolv.so.2 with build-id 89a368a6ad1b392d126a2a5beb9c2f61ade00279
                Module libkeyutils.so.1 with build-id ac405ddd17be10ce538da3211415ee50c8f8df79
                Module libkrb5support.so.0 with build-id 15f223925ef59dee4379ebbc0fcd14eda9ba81a2
                Module libcom_err.so.2 with build-id 358b783c9b3d12ba8248519ea2e7f3da4c4e0297
                Module libk5crypto.so.3 with build-id cc77a742cb62447a53d98285b41558b8acd92866
                Module libkrb5.so.3 with build-id 371cc767dacb17cb42c9c44b88eebbed5ee9a756
                Module liblzma.so.5 with build-id 28b40c7af8098a66af6ee093b6986b91cad7694d
                Module libbz2.so.1.0 with build-id 919597c477c9b2cb9cdbb7745ed6494ac0e6da60
                Module libKF5Completion.so.5 with build-id c4b1e417aa0491f7a1c04f041b6eedbb3ebaa6ca
                Module libKF5Solid.so.5 with build-id b7f15b0e66ca23779e61f3cfe4f92b8915f7fe62
                Module libKF5Service.so.5 with build-id a58f50d24a758e1715dd12d9616cb62243ce1d18
                Module libKF5JobWidgets.so.5 with build-id c33029e7e339f6ddfc0d99eeadeed7fe72cb5eb9
                Module libKF5KIOCore.so.5 with build-id 0085bc21fae73c1d9d4bf2459dc7c88f649a54ca
                Module libKF5KIOGui.so.5 with build-id f10adbc06979020cf8a6ff94954c0584fc00975c
                Module libcap-ng.so.0 with build-id 707f9d3134a43306625e3dab8662899ea368ac91
                Module libKF5AuthCore.so.5 with build-id 2822921732f5ea6976ac171b4cfa88cc240bfb1f
                Module libKF5Codecs.so.5 with build-id a194307c95bc65a7ff908a92da453acc08cea791
                Module libQt5Svg.so.5 with build-id 078b56fe3e0bdebbd09a938793d24c61b59496b7
                Module libxkbcommon.so.0 with build-id 6cf66eead3fcc20fe5df10162bfbcdcdc8b2a183
                Module libfreetype.so.6 with build-id f89dd5502e75aca28fb5c3ccd0dbd26fe822bfef
                Module libfontconfig.so.1 with build-id 36be6951b8c1e42a7dd05684a37400fc8ef9147c
                Module libwayland-cursor.so.0 with build-id 647d92328111682fb15bff1c20a4c9368414857c
                Module libXdmcp.so.6 with build-id d864159ab0008415667db8d5f251696d75c90df2
                Module libXau.so.6 with build-id 60db1eac70f819bea9d4c366603c1583067510b4
                Module ld-linux-x86-64.so.2 with build-id 0effd0e43efa4468d3c31871c93af0b7f3005673
                Module libglib-2.0.so.0 with build-id f1d15261ce1317b9003a1f0957d5a528d063f630
                Module libzstd.so.1 with build-id ab54c2881f53ab314e134f3e08c76d504376dd5d
                Module libpcre2-16.so.0 with build-id 68a5c2d52b45bfa6b1e93d2766e80094f52d9ebf
                Module libicuuc.so.71 with build-id 633fdc0c5385d916571f6140e7a978ad0630ef55
                Module libicui18n.so.71 with build-id 6fd5c97fd2808ee29958bf809656d5885e7e8963
                Module libdouble-conversion.so.3 with build-id d162eb67b00f523a3f146b1077ae00fe04d5fb85
                Module libsystemd.so.0 with build-id a220b34e873e29bb116d88be0bf11fac7089ef4d
                Module libmd4c.so.0 with build-id 2151dba72cdc9960097e6e960a58a2f03c8bb96e
                Module libharfbuzz.so.0 with build-id c58fe082cbde02fc176e3c3663a6d81386eb5027
                Module libpng16.so.16 with build-id 2dc0bce07f199bf983c07a05fb95a6f4af83a9b3
                Module libGL.so.1 with build-id b915a2e48be6c9fd3cc6f9f4c7aab1f7aeed8a4c
                Module libcrypto.so.1.1 with build-id d54a7ee1e288aeae436d073277ff986e03994b15
                Module libssl.so.1.1 with build-id 25a55106cb13dec5d495c34ca1caf2c2f3114f11
                Module libgssapi_krb5.so.2 with build-id 292f1ce32161c0ecc4a287bc8494d5d7c420a03f
                Module libz.so.1 with build-id fefe3219a96d682ec98fcfb78866b8594298b5a2
                Module libQt5QmlModels.so.5 with build-id 11db7d0f6adbc46e72a1270478848e19bcefdbe7
                Module libgcc_s.so.1 with build-id 0e3de903950e35ae59a5de8c00b1817a4a71ca01
                Module libdbus-1.so.3 with build-id 7f4b16b4b407cbae2d7118d6f99610e29a18a56a
                Module libm.so.6 with build-id 1b7296ef9fd806e47060788389293c824b09ad72
                Module libKF5Archive.so.5 with build-id 7bde8517609011720ec79b8bba0439f3c29947f5
                Module libKF5KIOWidgets.so.5 with build-id 790758d35a19f3faed3e454cd10744c611306ed4
                Module libdl.so.2 with build-id 94198b268228074fa9f405bbedbbae94112593ed
                Module libaudit.so.1 with build-id 53c797475ffeed05918d78f49f85dbf4127fb174
                Module libKF5ItemViews.so.5 with build-id 45e74365be91f0efbd76584bcfd3e0939f152706
                Module libKF5WidgetsAddons.so.5 with build-id a282071c99d8a48e7a896561baaa0f7b32dcec7f
                Module libQt5Xml.so.5 with build-id f02a96cd6c28fb8c1d9b1e56cc727baeff837df3
                Module libKF5GuiAddons.so.5 with build-id 98ffd3832681cd0c549e4a16a47042a51d4a5c08
                Module libKF5ConfigWidgets.so.5 with build-id a86eff569a238a57beb3a8b5b793fefa0d90acc2
                Module libKF5IconThemes.so.5 with build-id d38342c6496b557164c0261464e4001d32fe9cc4
                Module libQt5PrintSupport.so.5 with build-id bbc1babb372d1f09da1a9e3333b7404e8e1fe7ca
                Module libKF5GlobalAccel.so.5 with build-id 9317c6e6189582ef1fde332613c7cd0ca5145ada
                Module libQt5WaylandClient.so.5 with build-id 24ed5b5957a757593c290a7ee5b484f8ffa22b80
                Module libffi.so.8 with build-id f0a9586cf0f42d2b9971bd1065ca3a6b19f4a2c2
                Module libQt5Widgets.so.5 with build-id 2db4fb5e42157ccb2b6c52acc6ede3acfecedd6a
                Module libxcb-keysyms.so.1 with build-id 507bdc94868b9b1f9d95e31c492694f2513da88d
                Module libxcb.so.1 with build-id 13d677412a71468381b11092915d231f664d18d3
                Module libc.so.6 with build-id 60df1df31f02a7b23da83e8ef923359885b81492
                Module libstdc++.so.6 with build-id b3eaebcb5369487562e52dd8d016c9cd77f80c54
                Module libQt5Core.so.5 with build-id c2e0575e4ac48235c8ac01169f8330fae6032802
                Module libQt5Gui.so.5 with build-id cd2aac45ffd1db549dfbfdc1b72949806d99e8fc
                Module libQt5Network.so.5 with build-id 3c0d72b14156381983ce0b5c6ecb082e5a28c576
                Module libQt5Qml.so.5 with build-id f36f75407363858446bd91ee785afbda52ba5abe
                Module libQt5Quick.so.5 with build-id 35261a038f923611ff79ab68fee76dede20997d8
                Module libKF5CoreAddons.so.5 with build-id a55761be868c97b8379b15739d78cc2013e152bd
                Module libQt5DBus.so.5 with build-id ff4a550092d4e5c10e674968f42d1804b328ea92
                Module libKF5ConfigCore.so.5 with build-id f549c7bd7043908b2979a4172dbef55dd71b5890
                Module libKF5I18n.so.5 with build-id 5ab2d11e1ab28a5fd4b851fca2b062d1e9a6f8f0
                Module libKF5Package.so.5 with build-id fc4e86ac6990034db174cec8bc0861d07c7667dc
                Module libKF5Declarative.so.5 with build-id 7502ae35a5161b1cc17d2aba36c3ca684f31c986
                Module libKF5ConfigGui.so.5 with build-id 12fea5d387246e0efb9b85ccc0c10ff6788d93ab
                Module libQt5X11Extras.so.5 with build-id ec950f22918930044e4b7cebb233977269559525
                Module libpam.so.0 with build-id bb11b2685fe89555938ffd330ea44d82b0f8701c
                Module libKF5XmlGui.so.5 with build-id 51785684a7043aaa1cf9de7c25a07dec74d5a080
                Module libKF5ConfigQml.so.5 with build-id 59e4796dc9993fbeca65ebaf1db6f416772fb8f9
                Module libLayerShellQtInterface.so.5 with build-id 320db1a7f2f5d892ff640e8d8959084589fbc20d
                Module libwayland-client.so.0 with build-id 95e7368b400dd57e3db2a5c385de71c7dca08879
                Module libKF5WaylandClient.so.5 with build-id e0a1b6d743d6690a309a4e9de9f0992bd3fb41c4
                Module libX11.so.6 with build-id 310f8f1b8d7457d326407e0eb794353c62769b73
                Module libKF5WindowSystem.so.5 with build-id f48aa6422db900fc29287374f01a697aed8d1c78
                Module libKF5QuickAddons.so.5 with build-id b574874c540950f5a6a70735b602836254c0c54e
                Module libKF5Crash.so.5 with build-id 8eb7e3ee94fd628b068f4a3174f419530ed6cf70
                Module kscreenlocker_greet with build-id 8acd8314f77a122c96c65a7707fb3fd8ad21168f
                Stack trace of thread 6902:
                #0  0x00007fb0d5ae7180 n/a (pam_python.so + 0x7180)
                #1  0x00007fb0d44ed9bf PyEval_EvalFrameEx (libpython2.7.so.1.0 + 0xa29bf)
                #2  0x00007fb0d44eddbd PyEval_EvalFrameEx (libpython2.7.so.1.0 + 0xa2dbd)
                #3  0x00007fb0d44ec3e5 PyEval_EvalCodeEx (libpython2.7.so.1.0 + 0xa13e5)
                #4  0x00007fb0d44fe9dc function_call (libpython2.7.so.1.0 + 0xb39dc)
                #5  0x00007fb0d44e1ce3 PyObject_Call (libpython2.7.so.1.0 + 0x96ce3)
                #6  0x00007fb0d44f6fa8 PyEval_CallObjectWithKeywords (libpython2.7.so.1.0 + 0xabfa8)
                #7  0x00007fb0d5ae6bc9 n/a (pam_python.so + 0x6bc9)
                #8  0x00007fb0d5ae74df n/a (pam_python.so + 0x74df)
                #9  0x00007fb0dd0ca91a n/a (libpam.so.0 + 0x391a)
                #10 0x00007fb0dd0ca181 pam_authenticate (libpam.so.0 + 0x3181)
                #11 0x0000559728f91390 n/a (kscreenlocker_greet + 0x10390)
                #12 0x00007fb0dbb03830 _ZN7QObject5eventEP6QEvent (libQt5Core.so.5 + 0x2b0830)
                #13 0x00007fb0dbadff38 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt5Core.so.5 + 0x28cf38)
                #14 0x00007fb0dbae0a33 _ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData (libQt5Core.so.5 + 0x28da33)
                #15 0x00007fb0dbb26818 n/a (libQt5Core.so.5 + 0x2d3818)
                #16 0x00007fb0d971cc6b g_main_context_dispatch (libglib-2.0.so.0 + 0x54c6b)
                #17 0x00007fb0d9773001 n/a (libglib-2.0.so.0 + 0xab001)
                #18 0x00007fb0d971a392 g_main_context_iteration (libglib-2.0.so.0 + 0x52392)
                #19 0x00007fb0dbb2a64c _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2d764c)
                #20 0x00007fb0dbad86ec _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2856ec)
                #21 0x00007fb0db93a29f _ZN7QThread4execEv (libQt5Core.so.5 + 0xe729f)
                #22 0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #23 0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #24 0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6907:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6901:
                #0  0x00007fb0db513c3f __poll (libc.so.6 + 0x105c3f)
                #1  0x00007fb0dac3cd7d n/a (libQt5WaylandClient.so.5 + 0x71d7d)
                #2  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #3  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #4  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6908:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6910:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6917:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6922:
                #0  0x00007fb0db513c3f __poll (libc.so.6 + 0x105c3f)
                #1  0x00007fb0d9772f68 n/a (libglib-2.0.so.0 + 0xaaf68)
                #2  0x00007fb0d971a392 g_main_context_iteration (libglib-2.0.so.0 + 0x52392)
                #3  0x00007fb0dbb2a64c _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2d764c)
                #4  0x00007fb0dbad86ec _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2856ec)
                #5  0x00007fb0db93a29f _ZN7QThread4execEv (libQt5Core.so.5 + 0xe729f)
                #6  0x00007fb0dcaa3c9f n/a (libQt5Quick.so.5 + 0x154c9f)
                #7  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #8  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #9  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6913:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6935:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499c24 pthread_cond_timedwait (libc.so.6 + 0x8bc24)
                #2  0x00007fb0db93e764 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5 + 0xeb764)
                #3  0x00007fb0db93b337 n/a (libQt5Core.so.5 + 0xe8337)
                #4  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #5  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #6  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6909:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6928:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499c24 pthread_cond_timedwait (libc.so.6 + 0x8bc24)
                #2  0x00007fb0db93e764 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5 + 0xeb764)
                #3  0x00007fb0db93b337 n/a (libQt5Core.so.5 + 0xe8337)
                #4  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #5  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #6  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6906:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6898:
                #0  0x00007fb0dc79efcd n/a (libQt5Qml.so.5 + 0x253fcd)
                #1  0x00007fb0dc7c18cf _ZN12QQmlNotifier10emitNotifyEP20QQmlNotifierEndpointPPv (libQt5Qml.so.5 + 0x2768cf)
                #2  0x00007fb0dbb1014d n/a (libQt5Core.so.5 + 0x2bd14d)
                #3  0x0000559728f8d5ba n/a (kscreenlocker_greet + 0xc5ba)
                #4  0x00007fb0dbb03830 _ZN7QObject5eventEP6QEvent (libQt5Core.so.5 + 0x2b0830)
                #5  0x00007fb0dbadff38 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt5Core.so.5 + 0x28cf38)
                #6  0x00007fb0dbae0a33 _ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData (libQt5Core.so.5 + 0x28da33)
                #7  0x00007fb0dbb26818 n/a (libQt5Core.so.5 + 0x2d3818)
                #8  0x00007fb0d971cc6b g_main_context_dispatch (libglib-2.0.so.0 + 0x54c6b)
                #9  0x00007fb0d9773001 n/a (libglib-2.0.so.0 + 0xab001)
                #10 0x00007fb0d971a392 g_main_context_iteration (libglib-2.0.so.0 + 0x52392)
                #11 0x00007fb0dbb2a64c _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2d764c)
                #12 0x00007fb0dbad86ec _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2856ec)
                #13 0x00007fb0dbae31e9 _ZN16QCoreApplication4execEv (libQt5Core.so.5 + 0x2901e9)
                #14 0x0000559728f8c5a9 n/a (kscreenlocker_greet + 0xb5a9)
                #15 0x00007fb0db437290 n/a (libc.so.6 + 0x29290)
                #16 0x00007fb0db43734a __libc_start_main (libc.so.6 + 0x2934a)
                #17 0x0000559728f8d1b5 n/a (kscreenlocker_greet + 0xc1b5)
                
                Stack trace of thread 6932:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499c24 pthread_cond_timedwait (libc.so.6 + 0x8bc24)
                #2  0x00007fb0db93e764 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5 + 0xeb764)
                #3  0x00007fb0db93b337 n/a (libQt5Core.so.5 + 0xe8337)
                #4  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #5  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #6  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6930:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499c24 pthread_cond_timedwait (libc.so.6 + 0x8bc24)
                #2  0x00007fb0db93e764 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5 + 0xeb764)
                #3  0x00007fb0db93b337 n/a (libQt5Core.so.5 + 0xe8337)
                #4  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #5  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #6  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6900:
                #0  0x00007fb0db513c3f __poll (libc.so.6 + 0x105c3f)
                #1  0x00007fb0dac3cd7d n/a (libQt5WaylandClient.so.5 + 0x71d7d)
                #2  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #3  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #4  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6903:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6924:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6919:
                #0  0x00007fb0db5165f1 pselect (libc.so.6 + 0x1085f1)
                #1  0x00007fb0d6c01524 n/a (libusbmuxd-2.0.so.6 + 0x2524)
                #2  0x00007fb0d6c028a9 n/a (libusbmuxd-2.0.so.6 + 0x38a9)
                #3  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #4  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6911:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6912:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6899:
                #0  0x00007fb0db513c3f __poll (libc.so.6 + 0x105c3f)
                #1  0x00007fb0d9772f68 n/a (libglib-2.0.so.0 + 0xaaf68)
                #2  0x00007fb0d971a392 g_main_context_iteration (libglib-2.0.so.0 + 0x52392)
                #3  0x00007fb0dbb2a64c _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2d764c)
                #4  0x00007fb0dbad86ec _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2856ec)
                #5  0x00007fb0db93a29f _ZN7QThread4execEv (libQt5Core.so.5 + 0xe729f)
                #6  0x00007fb0dcf5675a n/a (libQt5DBus.so.5 + 0x2375a)
                #7  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #8  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #9  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6904:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6915:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6916:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6918:
                #0  0x00007fb0db513c3f __poll (libc.so.6 + 0x105c3f)
                #1  0x00007fb0d9772f68 n/a (libglib-2.0.so.0 + 0xaaf68)
                #2  0x00007fb0d971a392 g_main_context_iteration (libglib-2.0.so.0 + 0x52392)
                #3  0x00007fb0dbb2a64c _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2d764c)
                #4  0x00007fb0dbad86ec _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2856ec)
                #5  0x00007fb0db93a29f _ZN7QThread4execEv (libQt5Core.so.5 + 0xe729f)
                #6  0x00007fb0dc80a780 n/a (libQt5Qml.so.5 + 0x2bf780)
                #7  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #8  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #9  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6905:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6923:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6936:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499c24 pthread_cond_timedwait (libc.so.6 + 0x8bc24)
                #2  0x00007fb0db93e764 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5 + 0xeb764)
                #3  0x00007fb0db93b337 n/a (libQt5Core.so.5 + 0xe8337)
                #4  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #5  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #6  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6931:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499c24 pthread_cond_timedwait (libc.so.6 + 0x8bc24)
                #2  0x00007fb0db93e764 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5 + 0xeb764)
                #3  0x00007fb0db93b337 n/a (libQt5Core.so.5 + 0xe8337)
                #4  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #5  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #6  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6933:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499c24 pthread_cond_timedwait (libc.so.6 + 0x8bc24)
                #2  0x00007fb0db93e764 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5 + 0xeb764)
                #3  0x00007fb0db93b337 n/a (libQt5Core.so.5 + 0xe8337)
                #4  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #5  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #6  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6927:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499c24 pthread_cond_timedwait (libc.so.6 + 0x8bc24)
                #2  0x00007fb0db93e764 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5 + 0xeb764)
                #3  0x00007fb0db93b337 n/a (libQt5Core.so.5 + 0xe8337)
                #4  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #5  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #6  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6929:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499c24 pthread_cond_timedwait (libc.so.6 + 0x8bc24)
                #2  0x00007fb0db93e764 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5 + 0xeb764)
                #3  0x00007fb0db93b337 n/a (libQt5Core.so.5 + 0xe8337)
                #4  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #5  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #6  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6934:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499c24 pthread_cond_timedwait (libc.so.6 + 0x8bc24)
                #2  0x00007fb0db93e764 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5 + 0xeb764)
                #3  0x00007fb0db93b337 n/a (libQt5Core.so.5 + 0xe8337)
                #4  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #5  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #6  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6925:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499c24 pthread_cond_timedwait (libc.so.6 + 0x8bc24)
                #2  0x00007fb0db93e764 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5 + 0xeb764)
                #3  0x00007fb0db93b337 n/a (libQt5Core.so.5 + 0xe8337)
                #4  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #5  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #6  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6914:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499920 pthread_cond_wait (libc.so.6 + 0x8b920)
                #2  0x00007fb0c5ebc8cc n/a (radeonsi_dri.so + 0xb28cc)
                #3  0x00007fb0c5eb605c n/a (radeonsi_dri.so + 0xac05c)
                #4  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #5  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                
                Stack trace of thread 6926:
                #0  0x00007fb0db497119 n/a (libc.so.6 + 0x89119)
                #1  0x00007fb0db499c24 pthread_cond_timedwait (libc.so.6 + 0x8bc24)
                #2  0x00007fb0db93e764 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5 + 0xeb764)
                #3  0x00007fb0db93b337 n/a (libQt5Core.so.5 + 0xe8337)
                #4  0x00007fb0db93738a n/a (libQt5Core.so.5 + 0xe438a)
                #5  0x00007fb0db49a54d n/a (libc.so.6 + 0x8c54d)
                #6  0x00007fb0db51f874 __clone (libc.so.6 + 0x111874)
                ELF object binary architecture: AMD x86-64

GNU gdb (GDB) 12.1
Copyright (C) 2022 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<https://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/lib/kscreenlocker_greet...
(No debugging symbols found in /usr/lib/kscreenlocker_greet)

warning: Can't open file /memfd:JITCode:QtQml (deleted) during file-backed mapping note processing

warning: Can't open file /memfd:wayland-shm (deleted) during file-backed mapping note processing

warning: Can't open file /memfd:wayland-cursor (deleted) during file-backed mapping note processing

warning: Can't open file /tmp/kwin.qXQuZz (deleted) during file-backed mapping note processing

warning: Can't open file /memfd:unknown-usage:QtQml (deleted) during file-backed mapping note processing

warning: Can't open file /memfd:JSGCHeap:QtQml (deleted) during file-backed mapping note processing

warning: Can't open file /memfd:JSVMStack:QtQml (deleted) during file-backed mapping note processing
[New LWP 6902]
[New LWP 6907]
[New LWP 6901]
[New LWP 6908]
[New LWP 6910]
[New LWP 6917]
[New LWP 6922]
[New LWP 6913]
[New LWP 6935]
[New LWP 6909]
[New LWP 6928]
[New LWP 6906]
[New LWP 6898]
[New LWP 6932]
[New LWP 6930]
[New LWP 6900]
[New LWP 6903]
[New LWP 6924]
[New LWP 6919]
[New LWP 6911]
[New LWP 6912]
[New LWP 6899]
[New LWP 6904]
[New LWP 6915]
[New LWP 6916]
[New LWP 6918]
[New LWP 6905]
[New LWP 6923]
[New LWP 6936]
[New LWP 6931]
[New LWP 6933]
[New LWP 6927]
[New LWP 6929]
[New LWP 6934]
[New LWP 6925]
[New LWP 6914]
[New LWP 6926]

warning: Section `.reg-xstate/6902' in core file too small.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
--Type <RET> for more, q to quit, c to continue without paging--
Core was generated by `/usr/lib/kscreenlocker_greet --testing'.
Program terminated with signal SIGSEGV, Segmentation fault.

warning: Section `.reg-xstate/6902' in core file too small.
#0  0x00007fb0d5ae7180 in ?? () from /usr/lib/security/pam_python.so
[Current thread is 1 (Thread 0x7fb0c7fff640 (LWP 6902))]
(gdb) bt
#0  0x00007fb0d5ae7180 in ?? () from /usr/lib/security/pam_python.so
#1  0x00007fb0d44ed9bf in call_function (oparg=<optimized out>, pp_stack=0x7fb0c7ffe110) at Python/ceval.c:4376
#2  PyEval_EvalFrameEx (f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3013
#3  0x00007fb0d44eddbd in fast_function (nk=<optimized out>, na=<optimized out>, n=<optimized out>, pp_stack=0x7fb0c7ffe220, func=<optimized out>)
    at Python/ceval.c:4461
#4  call_function (oparg=<optimized out>, pp_stack=0x7fb0c7ffe220) at Python/ceval.c:4396
#5  PyEval_EvalFrameEx (f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3013
#6  0x00007fb0d44ec3e5 in PyEval_EvalCodeEx (co=0x7fb06e4dacb0, globals=<optimized out>, locals=<optimized out>, args=<optimized out>, 
    argcount=<optimized out>, kws=<optimized out>, kwcount=<optimized out>, defs=<optimized out>, defcount=<optimized out>, closure=<optimized out>)
    at Python/ceval.c:3608
#7  0x00007fb0d44fe9dc in function_call (func=func@entry=0x7fb06e4191d0, arg=0x7fb06e4179b0, kw=0x0) at Objects/funcobject.c:523
#8  0x00007fb0d44e1ce3 in PyObject_Call (func=0x7fb06e4191d0, arg=<optimized out>, kw=<optimized out>) at Objects/abstract.c:2544
#9  0x00007fb0d44f6fa8 in PyEval_CallObjectWithKeywords (func=0x7fb06e4191d0, arg=0x7fb06e4179b0, kw=<optimized out>) at Python/ceval.c:4245
#10 0x00007fb0d5ae6bc9 in ?? () from /usr/lib/security/pam_python.so
#11 0x00007fb0d5ae74df in ?? () from /usr/lib/security/pam_python.so
#12 0x00007fb0dd0ca91a in ?? () from /usr/lib/libpam.so.0
#13 0x00007fb0dd0ca181 in pam_authenticate () from /usr/lib/libpam.so.0
#14 0x0000559728f91390 in ?? ()
#15 0x00007fb0dbb03830 in QObject::event(QEvent*) () from /usr/lib/libQt5Core.so.5
#16 0x00007fb0dbadff38 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#17 0x00007fb0dbae0a33 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQt5Core.so.5
#18 0x00007fb0dbb26818 in ?? () from /usr/lib/libQt5Core.so.5
#19 0x00007fb0d971cc6b in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#20 0x00007fb0d9773001 in ?? () from /usr/lib/libglib-2.0.so.0
#21 0x00007fb0d971a392 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#22 0x00007fb0dbb2a64c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#23 0x00007fb0dbad86ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#24 0x00007fb0db93a29f in QThread::exec() () from /usr/lib/libQt5Core.so.5
#25 0x00007fb0db93738a in ?? () from /usr/lib/libQt5Core.so.5
#26 0x00007fb0db49a54d in ?? () from /usr/lib/libc.so.6
#27 0x00007fb0db51f874 in clone () from /usr/lib/libc.so.6
Comment 1 Murz 2022-06-20 15:39:11 UTC
And here is the issue in Howdy bug tracker: https://github.com/boltgolt/howdy/issues/679
Comment 2 boltgolt 2022-06-20 17:58:56 UTC
Note that this is not specifically Howdy, it's a regression that has broken pam-python:

segfault at 8 ip 00007fb39a81ba50 sp 00007fb39b022140 error 4 in pam_python.so[7fb39a818000+5000]
Comment 3 Vlad 2022-06-21 10:41:17 UTC
I tried to update pam_python to python3 version from this(https://github.com/castlabs/pam-python) repository, crash still happens same way. 
But I noticed what exactly leads to crash: it's probably messages howdy sends to lockerscreen. When I disable detection_notice and confirmation messages in howdy config making it completely silent, lockerscreen sort of works in testing mode, but unfortunately  still crashes after unlocking screen for real. Also with 'detection_notice = true' crash happens after howdy face recognition.
Comment 4 Vlad 2022-06-21 11:38:51 UTC
Created attachment 150003 [details]
coredump
Comment 5 Vlad 2022-06-21 11:42:24 UTC
Possibly it relates to https://invent.kde.org/plasma/kscreenlocker/-/merge_requests/59/
Comment 6 David Edmundson 2022-06-21 11:44:38 UTC
This crash is deep in howdy code. That's a howdy bug until shown otherwise.
Comment 7 David Edmundson 2022-06-21 11:45:49 UTC
>it's a regression that has broken pam-python:

Including a dummy test case with pam-python? If so I'll revisit our side.
Comment 8 boltgolt 2022-06-21 12:42:19 UTC
Here's a test case that still results in a segfault and does not interact with Howdy in any way:

```
import subprocess
import os
import glob
import syslog

def doAuth(pamh):
	pamh.conversation(pamh.Message(pamh.PAM_TEXT_INFO, "Attempting face detection"))
	return pamh.PAM_SYSTEM_ERR

def pam_sm_authenticate(pamh, flags, args):
	return doAuth(pamh)

def pam_sm_open_session(pamh, flags, args):
	return doAuth(pamh)

def pam_sm_close_session(pamh, flags, argv):
	return pamh.PAM_SUCCESS

def pam_sm_setcred(pamh, flags, argv):
	return pamh.PAM_SUCCESS
```

Seems to be the call to pamh.conversation that causes it?
Comment 9 David Edmundson 2022-06-21 13:51:16 UTC
thanks
Comment 10 David Edmundson 2022-06-21 14:59:43 UTC
int PamWorker::converse(int n, const struct pam_message **msg, struct pam_response **resp, void *data)
If there's no prompt we left "resp" alone. pam_python sends garbage in then deletes it.

I can fix it my side. Thanks for making the minimal example.
Comment 11 Bug Janitor Service 2022-06-21 15:13:24 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kscreenlocker/-/merge_requests/83
Comment 12 David Edmundson 2022-06-21 15:46:48 UTC
Git commit 1ff38e1ddbe575d4e99c0c5e9e1c01d69142f088 by David Edmundson.
Committed on 21/06/2022 at 15:10.
Pushed by davidedmundson into branch 'master'.

Initialise pam response in all converse conditions

This turned out to be an issue for pam_python when sending an info/error
message that shouldn't have a response some code still tried to free the
result of any prompt. Somewhat questionable, but we should still be
returning a valid struct full of nulls.

M  +6    -6    greeter/pamauthenticator.cpp

https://invent.kde.org/plasma/kscreenlocker/commit/1ff38e1ddbe575d4e99c0c5e9e1c01d69142f088
Comment 13 boltgolt 2022-06-21 16:24:55 UTC
Thanks for the quick fix!
Comment 14 Nate Graham 2022-06-21 16:33:35 UTC
Git commit 13dfae3fbc7e4d7e8b6692aed65baa272252ec36 by Nate Graham, on behalf of David Edmundson.
Committed on 21/06/2022 at 16:33.
Pushed by ngraham into branch 'Plasma/5.25'.

Initialise pam response in all converse conditions

This turned out to be an issue for pam_python when sending an info/error
message that shouldn't have a response some code still tried to free the
result of any prompt. Somewhat questionable, but we should still be
returning a valid struct full of nulls.


(cherry picked from commit 1ff38e1ddbe575d4e99c0c5e9e1c01d69142f088)

M  +6    -6    greeter/pamauthenticator.cpp

https://invent.kde.org/plasma/kscreenlocker/commit/13dfae3fbc7e4d7e8b6692aed65baa272252ec36